# Function useFiveEventCallback

- useFiveEventCallback<T extends keyof EventCallback>(
  name: T,
  callback: EventCallback[T],
  deps?: DependencyList,
  ): void

  Five React Hooks: Five 事件监听 具体事件列表 请查看 Five.EventCallback

  #### Type Parameters

  - T extends keyof EventCallback

  #### Parameters

  - name: T
  - callback: EventCallback[T]
  - `Optional` deps: DependencyList

  #### Returns void

  #### Example

      useFiveEvent("cameraUpdate", pose => {});

  - Defined in lib/react/hooks/useFiveEventCallback.ts:13